### Navigation

- index
- next |
- Pygame SGE 0.7.0 documentation »

# Welcome to Pygame SGE’s documentation!

Written in 2012, 2013, 2014 by Julian Marchant <onpon4@riseup.net>

This document has been dedicated to the public domain by the author(s), to the extent possible under applicable law. See http://creativecommons.org/publicdomain/zero/1.0/ for more information.

Contents:

- Introduction
- SGE Concepts
  - Naming Conventions
  - Events
  - The Mouse
  - Colors
  - Position
  - Z-Axis
- Information Specific to the Pygame SGE
  - License
  - Dependencies
  - Formats Support
  - Missing Features
  - Speed Improvements
- First Example: Hello, world!
  - Setting Up the Project
  - Shebang
  - License
  - Imports
  - The Game Class
  - The Room Class
  - The main Function
  - The Final Result
- Second Example: Pong
  - Setting Up the Project
  - Global Variables
  - The Game Class
  - The Player Class
  - The Ball Class
  - The main Function
  - Pong Without Scoring or Sound
  - Adding Scoring
  - Adding Sound
  - Restarting The Game
  - The Final Result
- Global Variables and Constants
- Classes
  - sge.Game
  - sge.Sprite
  - sge.BackgroundLayer
  - sge.Background
  - sge.Sound
  - sge.Music
  - sge.Font
  - sge.StellarClass
  - sge.Room
  - sge.View
- Functions

# Indices and tables

- Index
- Module Index
- Search Page

### Navigation

- index
- next |
- Pygame SGE 0.7.0 documentation »